package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-试验方法对象 t_study_method
 *
 * @author hxhq
 * @date 2025-12-29
 */
@TableName("t_study_method")
public class StudyMethod extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验id */
    private Long studyId;

    /** 所属试验-学科id */
    private Long studySubjectId;

    /** 方法名称 */
    private String ffmc;

    /** 方法文件地址 */
    private String fileUrl;

    private String fileName;

    /** 方法归属人id */
    private Long userId;

    /** 方法归属人名称 */
    private String userMc;

    /** 状态 */
    @TableField(exist = false)
    private Integer zt;

    public Integer getZt() {
        return zt;
    }

    public void setZt(Integer zt) {
        this.zt = zt;
    }

    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public void setFfmc(String ffmc)
    {
        this.ffmc = ffmc;
    }

    public String getFfmc()
    {
        return ffmc;
    }

    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserMc(String userMc)
    {
        this.userMc = userMc;
    }

    public String getUserMc()
    {
        return userMc;
    }

    public Long getStudySubjectId() {
        return studySubjectId;
    }

    public void setStudySubjectId(Long studySubjectId) {
        this.studySubjectId = studySubjectId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}
